Skip to main content
PATCH
Update a mapping version

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

gateway_topic
string
required

Unique topic identifier of the gateway

version_number
integer
required

Sequential version number of the mapping version

Query Parameters

method
enum<string>
required

HTTP method for the mapping in uppercase

Available options:
GET,
POST,
PUT,
DELETE,
PATCH,
OPTIONS,
HEAD
path
string
required

URL path for the mapping including the leading slash

Body

application/json
active
boolean

Whether the mapping version is active

Example:

false

description
string

Updated description of the mapping version

Example:

"Updated description for version 1"

middleware
object[]

Updated list of middleware to be applied to the mapping version

exact_match
boolean

Whether the path should be matched exactly

Example:

true

attributes
string[]

Updated attributes for the mapping version

Example:
boolean_logic
string

Updated boolean logic expression for request routing

Example:

"user.premium == true"

invocation_type
string

Updated type of invocation for the resource

Example:

"Event"

Response

Mapping version updated successfully

message
string
Example:

"success"